Test::Set::Element Namespace Reference

Tests for set element constraints More...

## Classes

class | ElementUnion
| Test for ElementUnion constraint More...
class | ElementUnionConst
| Test for ElementUnionConst constraint More...
class | ElementInter
| Test for ElementInter constraint More...
class | ElementInterIn
| Test for ElementInter constraint More...
class | ElementDisjoint
| Test for ElementDisjoint constraint More...
class | ElementSet
| Test for ElementSet constraint More...
class | ElementSetConst
| Test for ElementSetConst constraint More...
class | MatrixIntSet
| Test for matrix element with integer set array and set variable More...

## Variables

ElementUnion | _elementunion ("Element::Union")
ElementUnionConst | _elementunionconst ("Element::UnionConst")
ElementInter | _elementinter ("Element::Inter")
ElementInterIn | _elementinterin ("Element::InterIn")
ElementDisjoint | _elementdisjoint ("Element::Disjoint")
ElementSet | _elementset ("Element::Set")
ElementSetConst | _elementsetconst ("Element::SetConst")
MatrixIntSet | _emis

## Detailed Description

Tests for set element constraints

## Variable Documentation

## _elementunion

ElementUnion Test::Set::Element::_elementunion("Element::Union") | ( | "Element::Union" |  | ) |

## _elementunionconst

ElementUnionConst Test::Set::Element::_elementunionconst("Element::UnionConst") | ( | "Element::UnionConst" |  | ) |

## _elementinter

ElementInter Test::Set::Element::_elementinter("Element::Inter") | ( | "Element::Inter" |  | ) |

## _elementinterin

ElementInterIn Test::Set::Element::_elementinterin("Element::InterIn") | ( | "Element::InterIn" |  | ) |

## _elementdisjoint

ElementDisjoint Test::Set::Element::_elementdisjoint("Element::Disjoint") | ( | "Element::Disjoint" |  | ) |

## _elementset

ElementSet Test::Set::Element::_elementset("Element::Set") | ( | "Element::Set" |  | ) |

## _elementsetconst

ElementSetConst Test::Set::Element::_elementsetconst("Element::SetConst") | ( | "Element::SetConst" |  | ) |

## _emis

MatrixIntSet Test::Set::Element::_emis

Definition at line 377 of file element.cpp.